# -*- coding: utf-8 -*-
from django.core.management.base import BaseCommand
from django.db.models import get_models, get_app
from django.conf import settings

def die(msg):
    print msg
    raise SystemExit

#sys.stdout = codecs.getwriter(locale.getpreferredencoding())(sys.stdout)

# NoArgsCommand, AppCommand, LabelCommand
class Command(BaseCommand):
    help = (u"count all table rows of target app ('contacts' per default)")

#    def handle(self, **options):
    def handle(self, *args, **options):
        app_list = args or [ elm for elm in settings.INSTALLED_APPS if 'django' not in elm ]
        for app in app_list:
            print "App: %s " % app
            all_models = sorted(get_models(app_mod=get_app(app)), key=lambda x: x.__name__)
            for model in all_models:
                print " model %-30s %s" % (model.__name__, model.objects.count())
# EOF
